## org.apache.fop.dom.svg
Class SVGRectImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.svg.SVGRectImpl

public class SVGRectImpl
extends java.lang.Object
implements org.w3c.dom.svg.SVGRect

Constructor Summary
`SVGRectImpl()`

Method Summary
`float` `getHeight()`
`float` `getWidth()`
`float` `getX()`
`float` `getY()`
`void` `setHeight(float height)`
`void` `setWidth(float width)`
`void` `setX(float x)`
`void` `setY(float y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGRectImpl

    public SVGRectImpl()

Method Detail

### getX

    public float getX()

  Specified by:
    getX in interface org.w3c.dom.svg.SVGRect

### setX

    public void setX(float x)

  Specified by:
    setX in interface org.w3c.dom.svg.SVGRect

### getY

    public float getY()

  Specified by:
    getY in interface org.w3c.dom.svg.SVGRect

### setY

    public void setY(float y)

  Specified by:
    setY in interface org.w3c.dom.svg.SVGRect

### getWidth

    public float getWidth()

  Specified by:
    getWidth in interface org.w3c.dom.svg.SVGRect

### setWidth

    public void setWidth(float width)

  Specified by:
    setWidth in interface org.w3c.dom.svg.SVGRect

### getHeight

    public float getHeight()

  Specified by:
    getHeight in interface org.w3c.dom.svg.SVGRect

### setHeight

    public void setHeight(float height)

  Specified by:
    setHeight in interface org.w3c.dom.svg.SVGRect

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.